LINUX.ORG.RU

Debian: обновление с Wheezy на Jessie (testing)

 ,


1

1

Доброго времени суток. Решил обновится со stable на testing. Как положено заменю в sources.list wheezy на jessie (чтоб потом снова быть на stable), apt-get update && apt-get upgrade && apt-dist-upgrade. Но так как никогда такого не делал, есть три вопроса:

  • 1) Сохранится ли конфигурация DE, программ и прочего?
  • 2) У меня сейчас некоторые программы и библиотеки (в частности libc6) из тестинга. Будут ли из-за этого потенциальные проблемы при обновлении?
  • 3) Насколько правильный такой способ обновления и не лучше ли с нуля поставить тестинг?

Все должно быть нормально.

Deleted
()

Неправильно. Засунь в sources.list и стабильную и тестинг и сид ветки, почитай вику на предмет default release, поставь туда тестинг, обновись. В качестве бонуса сможешь ставить с ключом -t нужную версию не самых критичных для системы программ.

minakov ★★★★★
()
Ответ на: комментарий от minakov

Спасибо конечно за совет, но венегрет из системы не хотелось бы делать. Про default release в курсе (подключен реп тестигна, откуда тянул libc6).

Sunderland93 ★★★★★
() автор топика

1) Да, если версии эти совместимы. Например, перескакивать с КДЕ 4.10 на 4.12 и обратно можно спокойно, а вот с фф 29 на 24 будет не очень гладкое приземление, но с того же 24 на 29 — никаких проблем
2) Не должно возникнуть
3) Нормально, не парься. В Debian всё автоматизировано, проблем возникнуть не должно

GreenTea ★★
()

Когда я так делал, апт захлебнулся в подсчёте зависимостей, и я забил.

cinyflo ★★★★★
()

Удилит только это:

Пакеты, которые будут УДАЛЕНЫ:
  foomatic-filters ghostscript-cups libaudit0 libcupsdriver1
  libdb5.1-java libescpr1 libexttextcat0 libgraphite2-2.0.0
  libpackagekit-glib2-14 libpackagekit-qt2-2 libperl5.14
  libplasmaclock4abi3 libsnmp15 libtaskmanager4abi3 libvlccore5
  libwayland0:i386 qtcurve-i18n xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-chips
  xserver-xorg-video-i128 xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-s3virge
  xserver-xorg-video-sis xserver-xorg-video-tseng
  xserver-xorg-video-voodoo
Конфликтов зависимостей вроде нет. Остольное обновит и доставит новое. В общем, можно обновлятся.

Sunderland93 ★★★★★
() автор топика

Обновился. Комп жив:) Ещё раз спасибо.

Sunderland93 ★★★★★
() автор топика
Ответ на: комментарий от Deleted

А ты попробуй. При соблюдении правильного порядка и дефолтрелиза в конфигах все может работать идеально

minakov ★★★★★
()
Ответ на: комментарий от minakov

Идеально это если так не делать. А это это уже для любителей погорячее :)

Deleted
()
Ответ на: комментарий от minakov

все может работать
может

Сам Себе Рисковый Буратина.

redgremlin ★★★★★
()

У меня сейчас некоторые программы и библиотеки (в частности libc6) из тестинга. Будут ли из-за этого потенциальные проблемы

Будут. Крайне не рекомендуется примешивать testing к stable. Только если основной дистр — testing, тогда при соблюдении мер предосторожностей можно в него ставить пакеты из stable/sid, но это всё на свой страх и риск. А testing в stable — это даже не страх и риск, а «слабоумие и отвага».

redgremlin ★★★★★
()
Ответ на: комментарий от DeadEye

В jessie perl 5.18. Просто в Дебиане для многих библиотек принято версию в заголовок пакета включать, тогда можно в системе держать разные версии библиотек. Например, прога А всё ещё не обновилась и использует libx1.0, а прога Б уже обновилась и требует libx1.1. Раз удалилось libperl5.14, значит не осталось пакетов, требующих именно эту версию.

redgremlin ★★★★★
()

1) Конфиги останутся старые. Если пакет при инсталляции захочет закинуть свой конфиг - он тебя спросит нужно ли это тебе. В хомяке все останется старое.
2) Будут проблемы с откатом.
3) А apt-get update && apt-dist-upgrade не прокатит? И там вроде есть ньюансы по поводу aptitude и apt-get. Апгрейд или инсталл - решать тебе!

Ignatov ★★★
()
Последнее исправление: Ignatov (всего исправлений: 2)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.